Main Page Widgets Namespaces Book

# Gtk::Toolbar_Helpers::ToolList Class Reference

Inheritance diagram for Gtk::Toolbar_Helpers::ToolList:

[legend]
List of all members.

## Public Types
typedef Glib::HelperList< Tool, const Element, Glib::List_Iterator< Tool > > | type_base
## Public Methods
| ToolList ()
| ToolList (GtkToolbar* gparent)
| ToolList (const ToolList& src)
virtual | ~ToolList ()
ToolList& | operator= (const ToolList& src)
GtkToolbar* | gparent ()
const GtkToolbar* | gparent () const
virtual GList*& | glist () const
virtual void | erase (iterator start, iterator stop)
virtual iterator | erase (iterator)
virtual void | remove (const_reference)
reference | operator[] (size_type l) const
| This is order n. (use at own risk).
iterator | insert (iterator position, element_type& e)
template <class InputIterator> void | insert (iterator position, InputIterator first, InputIterator last)
void | push_front (element_type& e)
void | push_back (element_type& e)
virtual void | remove (Widget& widget)
iterator | find (const_reference c)
iterator | find (Widget&)

## Member Typedef Documentation

typedef Glib::HelperList<Tool, const Element, Glib::List_Iterator<Tool>> Gtk::Toolbar_Helpers::ToolList::type_base

## Constructor & Destructor Documentation

Gtk::Toolbar_Helpers::ToolList::ToolList | ( |  | ) |

Gtk::Toolbar_Helpers::ToolList::ToolList | ( | GtkToolbar* | gparent | ) | `[explicit]`

Gtk::Toolbar_Helpers::ToolList::ToolList | ( | const ToolList& | src | ) |

virtual Gtk::Toolbar_Helpers::ToolList::~ToolList | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual iterator Gtk::Toolbar_Helpers::ToolList::erase | ( | iterator |  | ) | `[virtual]`

| Implements Glib::HelperList<Tool, const Element, Glib::List_Iterator<Tool>>.

virtual void Gtk::Toolbar_Helpers::ToolList::erase | ( | iterator | start,
|  | iterator | stop
| ) | `[virtual]`

| Reimplemented from Glib::HelperList<Tool, const Element, Glib::List_Iterator<Tool>>.

iterator Gtk::Toolbar_Helpers::ToolList::find | ( | Widget& |  | ) |

iterator Gtk::Toolbar_Helpers::ToolList::find | ( | const_reference | c | ) |

virtual GList*& Gtk::Toolbar_Helpers::ToolList::glist | ( |  | ) | `[virtual]`

| Implements Glib::HelperList<Tool, const Element, Glib::List_Iterator<Tool>>.

const GtkToolbar* Gtk::Toolbar_Helpers::ToolList::gparent | ( |  | ) |

| Reimplemented from Glib::HelperList<Tool, const Element, Glib::List_Iterator<Tool>>.

GtkToolbar* Gtk::Toolbar_Helpers::ToolList::gparent | ( |  | ) |

| Reimplemented from Glib::HelperList<Tool, const Element, Glib::List_Iterator<Tool>>.

template <class InputIterator>
void Gtk::Toolbar_Helpers::ToolList::insert | ( | iterator | position,
|  | InputIterator | first,
|  | InputIterator | last
| ) | `[inline]`

iterator Gtk::Toolbar_Helpers::ToolList::insert | ( | iterator | position,
|  | element_type& | e
| ) |

ToolList& Gtk::Toolbar_Helpers::ToolList::operator= | ( | const ToolList& | src | ) |

reference Gtk::Toolbar_Helpers::ToolList::operator[] | ( | size_type | l | ) | const

| This is order n. (use at own risk). Reimplemented from Glib::HelperList<Tool, const Element, Glib::List_Iterator<Tool>>.

void Gtk::Toolbar_Helpers::ToolList::push_back | ( | element_type& | e | ) | `[inline]`

void Gtk::Toolbar_Helpers::ToolList::push_front | ( | element_type& | e | ) | `[inline]`

virtual void Gtk::Toolbar_Helpers::ToolList::remove | ( | Widget& | widget | ) | `[virtual]`

virtual void Gtk::Toolbar_Helpers::ToolList::remove | ( | const_reference |  | ) | `[virtual]`

| Implements Glib::HelperList<Tool, const Element, Glib::List_Iterator<Tool>>.

The documentation for this class was generated from the following file:

- toolbar.h